Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Java SE RE 6u21 for Windows 7 64bit or 32bit when I use Winodws 7 64bit

  • 3 replies
  • 118 have this problem
  • 1634 views
  • Last reply by imsewfine

more options

I use Windows 7 64bit. What version of JRE should I use the 64bit or the 32bit version? What about the Java plug-in in the 64bit version of JRE? Do I need it in Firefox to use Java?

Thanks

This happened

Not sure how often

Chosen solution

Firefox is a 32-bit browser, you need the 32-bit version of Java. Without Java, you won't be able to view Java presentations on the websites you view, you'll see a "missing Plugin" icon where the presentation would appear.

Read this answer in context 👍 15

All Replies (3)

more options

Chosen Solution

Firefox is a 32-bit browser, you need the 32-bit version of Java. Without Java, you won't be able to view Java presentations on the websites you view, you'll see a "missing Plugin" icon where the presentation would appear.

more options

OK, it was helpful but I expected that under learn or read more, I would see how to add Java for 32bit. My PC is XP 64bit and java 7 apparently is OK for that but I have had problems adding java 6 build, I cannot recall but I think it includes 29 in it. What to do next? You have helped my huge in past and my hope is that this will continue the trend. Bye, S

more options

OK, I jumped the gun after trying for hours to download that version 6 with 29 in the number but apparently it was successful the last time I tried to download it. Finally, it has been successful. I would like to know why there are no java subjects for my situation. I had the plugin 7 but that is for 64bit browsers. I had read that earlier versions needed to be deleted but it certainly is difficult to then download anything for 32bit browser but now it is resolved. I would appreciate some info available for what is needed in the Java (not JavaScript). When I got my list of plugins, it said that I was up to date-well, yes but not accessible and fulfilled for 32bit browsers but that it does not address. Please be proactive in adding appropriate info about what we need to consider in order to handle all browser situations? It certainly would have helped me but nothing came up after many searches even though I knew something was wrong. Thanks, Bye, S